<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_BaseModifyElement StructType
 * @subpackage Structs
 */
abstract class JP_BaseModifyElement extends AbstractStructBase
{
    /**
     * The ModifyCode
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_BookingCode
     */
    public $ModifyCode;
    /**
     * The RelPaxesDist
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RelPaxDist
     */
    public $RelPaxesDist;
    /**
     * Constructor method for JP_BaseModifyElement
     * @uses JP_BaseModifyElement::setModifyCode()
     * @uses JP_BaseModifyElement::setRelPaxesDist()
     * @param \StructType\JP_BookingCode $modifyCode
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     */
    public function __construct(\StructType\JP_BookingCode $modifyCode = null, \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this
            ->setModifyCode($modifyCode)
            ->setRelPaxesDist($relPaxesDist);
    }
    /**
     * Get ModifyCode value
     * @return \StructType\JP_BookingCode|null
     */
    public function getModifyCode()
    {
        return $this->ModifyCode;
    }
    /**
     * Set ModifyCode value
     * @param \StructType\JP_BookingCode $modifyCode
     * @return \StructType\JP_BaseModifyElement
     */
    public function setModifyCode(\StructType\JP_BookingCode $modifyCode = null)
    {
        $this->ModifyCode = $modifyCode;
        return $this;
    }
    /**
     * Get RelPaxesDist value
     * @return \ArrayType\ArrayOfJP_RelPaxDist|null
     */
    public function getRelPaxesDist()
    {
        return $this->RelPaxesDist;
    }
    /**
     * Set RelPaxesDist value
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     * @return \StructType\JP_BaseModifyElement
     */
    public function setRelPaxesDist(\ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this->RelPaxesDist = $relPaxesDist;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_BaseModifyElement
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
